let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = "92fe622fdfe477a85662bb77678e39fa70373f13";
  };
in

{
  inherit nixpkgs;
  nixos = nixpkgs // {
    suffix = "/nixos";
  };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "39d7f929fbcb1446ad7aa7441b04fb30625a4190";
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = "fb520531bbed31c8f4adbc9aa87a786eec2f51f7";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "e724ff22b2c6050a235b7f61a1b7c8fb80737eee";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = "4a3d01fb53f52ac83194081272795aa4612c2381";
  };
}
